Groovy 1.7.10

## groovy.lang
[Java] Class MetaExpandoProperty

    java.lang.Object
      groovy.lang.MetaProperty
          groovy.lang.MetaExpandoProperty

    public class MetaExpandoProperty
    extends MetaProperty

Represents a property in an Expando object

Authors:
  John Stump

Version:
  \$Revision: 20589 \$

Field Summary

Fields inherited from class MetaProperty
PROPERTY_SET_PREFIX, name, type

Constructor Summary
`MetaExpandoProperty(Entry entry)`

Method Summary
`Object` | `getProperty(Object object)` @return the property of the given object
`void` | `setProperty(Object object, Object newValue)` Sets the property on the given object to the new value

Methods inherited from class MetaProperty
getGetterName, getModifiers, getName, getProperty, getSetterName, getType, setProperty

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### MetaExpandoProperty

    public MetaExpandoProperty(Entry entry)

Method Detail

### getProperty

    public Object getProperty(Object object)

  throws:
    Exception if the property could not be evaluated
  Returns:
    the property of the given object

### setProperty

    public void setProperty(Object object, Object newValue)

  Sets the property on the given object to the new value
  Parameters:
    `object` - on which to set the property
    `newValue` - the new value of the property

Copyright © 2003-2010 The Codehaus. All rights reserved.